#!/usr/bin/python
import sys
import cchmm
from cchmm.cchmm import *


if len(sys.argv)<2:
   print outstr
   print "usage :",sys.argv[0]," proteinfile"
   sys.exit(-1)


prot=open(sys.argv[1]).readlines()
seq=[]
labels=[]
for line in prot:
    if line[0] != '#':
        v=[float(x) for x in line.split()]
        seq.append(v)
ss,prob=predmod(seq)
print "Probability of containing a coiled-coil segment =",prob
print "PRD:","".join(ss).replace("C",".")


